Bug 628916

Summary: Number of MySQL Connections growing
Product: [Other] RHQ Project Reporter: Javier <javim>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: low    
Version: 3.0.0CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 4.0.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-02 03:17:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Javier 2010-08-31 07:57:01 EDT
Description of problem:
I'm having a problem with RHQ and MySQL  plugin. As 
RHQ monitors MySQL, the number of connection in MySQL grow. It happens 
until MySQL max connections is reached. Then MySQL doesn't accept more 
connection.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add MySQL plugin (manually) to inventory
2. Wait... and number of connections will grow each collection interval
  
Actual results: MySQL says NO MORE. It reaches max connection limit


Expected results: Use the same connection or close the last one. In order to avoid an infinite growth


Additional info:
Comment 1 Heiko W. Rupp 2010-10-18 05:25:19 EDT
I've just pushed and update to the MySQL plugin by Steve Millidge 
(28ae734397d49586094f973c0db81f06fc394791).

Can you please check if your issue has vanished?
Comment 2 Javier 2010-10-19 02:59:07 EDT
Hi Heiko

Yes, I've used MySQL Steve's plugin and it works propertly. But I still dind't use the updated version. I used one he sent to me a couple months ago. It worked great.
Comment 3 Heiko W. Rupp 2010-10-20 05:33:12 EDT
Javim,
as I understand his code contribution is built on the one he sent you.
I am going to close this BZ - please reopen if this is not ok.
Open a new one if have time to try the new code and the new code is showing 
issues.
Comment 5 Mike Foley 2011-06-21 14:33:26 EDT
verified as follows:  installed mysql.  discovered and inventoried it in RHQ.  monitored it.  connected to mysql at the command line and observed the connection in monitoring.  did not see the number of connections grow over time.
Comment 6 Heiko W. Rupp 2013-09-02 03:17:06 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.